using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Statistics
{
	/// <summary>
	/// 部门满意度统计
	/// </summary>
	[Description("部门满意度统计")]
	[SugarIndex("index_statisticsDepartSatisfied_insertTime", nameof(StatisticsDepartSatisfied.InsertTime), OrderByType.Desc)]
	public class StatisticsDepartSatisfied : CreationEntity
	{

		/// <summary>
		/// 部门标识
		/// </summary>
		[SugarColumn(ColumnDescription = "部门标识")]
		public int DepartmentId { get; set; }

		/// <summary>
		/// 父级标识
		/// </summary>
		[SugarColumn(ColumnDescription = "父级标识")]
		public int DepartmentPId { get; set; }

		/// <summary>
		/// 部门名称
		/// </summary>
		[SugarColumn(ColumnDescription = "部门名称")]
		public string Name { get; set; }

		/// <summary>
		/// 部门类别
		/// </summary>
		[SugarColumn(ColumnDescription = "部门类别")]
		public string Type { get; set; }

		/// <summary>
		/// 小计
		/// </summary>
		[SugarColumn(ColumnDescription = "小计")]
		public int Total { get; set; }

		/// <summary>
		/// 非常满意
		/// </summary>
		[SugarColumn(ColumnDescription = "非常满意")]
		public int VerySatisfaction { get; set; }

		/// <summary>
		/// 满意
		/// </summary>
		[SugarColumn(ColumnDescription = "满意")]
		public int Satisfaction { get; set; }

		/// <summary>
		/// 视为满意
		/// </summary>
		[SugarColumn(ColumnDescription = "视为满意")]
		public int TreatSatisfaction { get; set; }

		/// <summary>
		/// 默认满意
		/// </summary>
		[SugarColumn(ColumnDescription = " 默认满意")]
		public int DefaultSatisfaction { get; set; }

		/// <summary>
		/// 不满意
		/// </summary>
		[SugarColumn(ColumnDescription = " 不满意")]
		public int Dissatisfaction { get; set; }

		/// <summary>
		/// 未做评价
		/// </summary>
		[SugarColumn(ColumnDescription = "未做评价")]
		public int NotEvaluated { get; set; }

		/// <summary>
		/// 未接通
		/// </summary>
		[SugarColumn(ColumnDescription = " 未接通")]
		public int BlockCall { get; set; }

		/// <summary>
		/// （泸州、自贡）一般
		/// </summary>
		[SugarColumn(ColumnDescription = "（泸州、自贡）一般")]
		public int Ordinary { get; set; }

		/// <summary>
		/// （泸州、自贡）非常不满意
		/// </summary>
		[SugarColumn(ColumnDescription = "（泸州、自贡）非常不满意")]
		public int BeUnsatisfied { get; set; }

		/// <summary>
		/// （自贡）甄别为满意 自贡的视为满意名字是甄别为满意
		/// </summary>
		[SugarColumn(ColumnDescription = "（自贡）甄别为满意 自贡的视为满意名字是甄别为满意")]
		public int ScreenSatisfaction { get; set; }

		/// <summary>
		/// （泸州）公开件
		/// </summary>
		[SugarColumn(ColumnDescription = "（泸州）公开件")]
		public int PublishPublicNum { get; set; }

		/// <summary>
		/// （泸州）不公开件
		/// </summary>
		[SugarColumn(ColumnDescription = "（泸州）不公开件")]
		public int PublishNotNum { get; set; }

		/// <summary>
		/// （泸州）申请总量
		/// </summary>
		[SugarColumn(ColumnDescription = "（泸州）申请总量")]
		public int ScreenApplyNum { get; set; }

		/// <summary>
		/// （泸州）待甄别
		/// </summary>
		[SugarColumn(ColumnDescription = "（泸州）待甄别")]
		public int ScreenWaitNum { get; set; }


		/// <summary>
		/// 统计日期
		/// </summary>
		[SugarColumn(ColumnDescription = "统计日期")]
		public DateTime Time { get; set; }

		/// <summary>
		/// 统计时限
		/// </summary>
		[SugarColumn(ColumnDescription = "统计时限")]
		public int Month { get; set; }

		/// <summary>
		/// 入库时间
		/// </summary>
		[SugarColumn(ColumnDescription = "入库时间")]
		public DateTime InsertTime { get; set; }
	}
}
